<?php
/**
* @Cinema - Un componente per Joomla
* @package Component for Joomla
* @subpackage cinema.php
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* @Renew & fork by Vamba & Luscarpa
* Ispirato e basato su
**/
/**
* AkoGallery - A Mambo Gallery Component
* (C)opyright 2003,2004 by Arthur Konze
* Homepage   : www.mamboportal.com
* Version    : 3.0 beta 3
* License    : Copyright, don't distribute
* Translator : Arthur Konze
* Homepage   : www.konze.de
**/

# Per non permettere collegamento diretto
  defined( '_VALID_MOS' ) or die( 'Accesso diretto non permesso.' );

# Variabili
  require($mosConfig_absolute_path."/administrator/components/com_cinema/config.cinema.php");
  $picturepath    = $mosConfig_live_site.$cin_pathimages."/";
  $thumbnailpath  = $mosConfig_live_site.$cin_paththumbs."/";
  $cinemaversion     = "V1.5 beta";

# Trova il file lingua se esistente
  if (file_exists($mosConfig_absolute_path.'/components/com_cinema/languages/'.$mosConfig_lang.'.php')) {
    include($mosConfig_absolute_path.'/components/com_cinema/languages/'.$mosConfig_lang.'.php');
  } else {
    include($mosConfig_absolute_path.'/components/com_cinema/languages/english.php');
  }

  $id = mosGetParam($_REQUEST,"id",null);
  $itemid = mosGetParam($_REQUEST,"itemid",null);

# Controlla permessi editor
  $is_editor = (strtolower($my->usertype) == 'editor' || strtolower($my->usertype) == 'publisher' || strtolower($my->usertype) == 'manager' || strtolower($my->usertype) == 'administrator' || strtolower($my->usertype) == 'super administrator' );
  $is_user   = (strtolower($my->usertype) <> '');

function GalleryHeader() {
  global $mainframe, $database, $catid, $Itemid, $id, $is_editor, $cin_description, $cin_keywords, $cin_showrating, $cin_showcomment, $CINEMA, $fimgvotesum, $cmtname, $sorting, $now, $cin_fieldset, $cin_fieldset2, $cin_legend, $alpha;

  # Stili CSS layout
    echo "<style>";
    echo ".legend{ $cin_legend }";
    echo "fieldset{ $cin_fieldset }";
    echo "#fieldset{ $cin_fieldset2 }";
    echo "</style>";

  $database->setQuery("SELECT name from #__menu WHERE id='$Itemid'");
  $menuname = $database->loadResult();

	$mainframe->setPageTitle( $menuname );
	$mainframe->prependMetaTag('description',$cin_description);
	$mainframe->prependMetaTag('keywords',$cin_keywords);


	//echo '<div class="componentheading">'.$menu->name.'</div>';
  echo "<table width='99%' cellpadding='3' cellspacing='4' border='0' align='center' class='newspane'>";
  echo "<tr><td></td></tr>";
  echo "<tr><td>";
  echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'><tr>";
  echo "<td width='100%'><img src='components/com_cinema/images/home.png' hspace='6' border='0' title='".$CINEMA->CINEMA_SELECTCATEGORIES."' align='absmiddle'><a title='".$CINEMA->CINEMA_VISITCATEGORIES."' href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid")."'>".$CINEMA->CINEMA_CATEGORIES."</a>";
  if ($catid <> "") {
    $database->setQuery("SELECT title FROM #__categories WHERE id = '".$catid."'");
    $cattitle = $database->loadResult();
    echo " <img src='images/M_images/arrow.png'> $cattitle";
  } else if ($id) {
    $database->setQuery( "SELECT a.*, cc.title AS category"
    . "\nFROM #__cinema AS a, #__categories AS cc"
    . "\nWHERE a.catid=cc.id AND a.id=$id" );
    $rows = $database->loadObjectList();
    $row = &$rows[0];
    echo " <img src='images/M_images/arrow.png' /> <a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=viewcategory&amp;catid=$row->catid")."'>$row->category</a> <img src='images/M_images/arrow.png' /> $row->imgtitle ";
  }
  echo "</td>";
  echo "<td align='right'>";
  echo "<form name='searchgalform' action='".sefRelToAbs("index.php")."' target='_top' method='post' style='display:inline;'>";
  echo "<input type='hidden' name='option' value='com_cinema'/><input type='hidden' name='Itemid' value='$Itemid'/>";
  echo "<input type='hidden' name='task' value='special'/><input type='hidden' name='sorting' value='find'/>";
  echo "<input title='".$CINEMA->CINEMA_SEARCH."' type='text' class='inputbox' name='sstring' onBlur=\"if(this.value=='') this.value='".$CINEMA->CINEMA_SEARCH."';\" onFocus=\"if(this.value=='".$CINEMA->CINEMA_SEARCH."') this.value='';\" VALUE='".$CINEMA->CINEMA_SEARCH."'/></td>";
	echo "<td><a onclick='javascript:document.searchgalform.submit();' style='cursor:pointer'><img src='components/com_cinema/images/search.gif' hspace='1' border='0' align='absmiddle' title='".$CINEMA->CINEMA_SEARCH."'></a></form>";
  echo "</td>";
  echo "</tr></table></td></tr><tr><td align='right'>";
  echo "<img src='components/com_cinema/images/abc.png' hspace='6' border='0' align='absmiddle' title='".$CINEMA->CINEMA_ALL."'><a title='".$CINEMA->CINEMA_ALL2."' href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=alfabeto")."'>".$CINEMA->CINEMA_ALL."</a>";
  echo "<img src='components/com_cinema/images/sala.png' hspace='6' border='0' align='absmiddle' title='".$CINEMA->CINEMA_INSALA."'><a title='".$CINEMA->CINEMA_INSALA2."' href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=cinemasale")."'>".$CINEMA->CINEMA_INSALA."</a>";
  echo "<img src='components/com_cinema/images/new.png' hspace='6' border='0' align='absmiddle' title='".$CINEMA->CINEMA_LASTADDED."'><a title='".$CINEMA->CINEMA_LASTADDED2."' href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=lastadd")."'>".$CINEMA->CINEMA_LASTADDED."</a>";
  echo "<img src='components/com_cinema/images/click.png' hspace='6' border='0' align='absmiddle' title='".$CINEMA->CINEMA_MOSTVIEWED."'><a title='".$CINEMA->CINEMA_MOSTVIEWED2."' href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special")."'>".$CINEMA->CINEMA_MOSTVIEWED."</a>";
  if ($cin_showrating) echo "<img src='components/com_cinema/images/voti.png' hspace='6' border='0' align='absmiddle' title='".$CINEMA->CINEMA_TOPRATED."'><a title='".$CINEMA->CINEMA_TOPRATED2."' href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=rating")."'>".$CINEMA->CINEMA_TOPRATED."</a>";
  echo "</td></tr><tr><td>";
  return;
}

function GalleryFooter() {
  global $id;
  echo "</td></tr>";
  echo "</table>";
	echo "<p><font class='small'><strong>Cinema V1.0</strong> By <a href='http://www.joomlaitalia.com/' target='_blank'>Vamba</a> & <a href='http://www.webagain.net/' target='_blank'>Luscarpa</a> - &copy Copyright 2006</font></p>";
  return;
}

function bb_decode($text) {
  $text = nl2br($text);

  static $bbcode_tpl = array();
  static $patterns = array();
  static $replacements = array();

  // First: If there isn't a "[" and a "]" in the message, don't bother.
  if ((strpos($text, "[") === false || strpos($text, "]") === false))
  {
    return $text;
  }

  // [b] and [/b] for bolding text.
  $text = str_replace("[b]", '<b>', $text);
  $text = str_replace("[/b]", '</b>', $text);

  // [u] and [/u] for underlining text.
  $text = str_replace("[u]", '<u>', $text);
  $text = str_replace("[/u]", '</u>', $text);

  // [i] and [/i] for italicizing text.
  $text = str_replace("[i]", '<i>', $text);
  $text = str_replace("[/i]", '</i>', $text);

  if (!count($bbcode_tpl)) {
    // We do URLs in several different ways..
    $bbcode_tpl['url']  = '<span class="bblink"><a href="{URL}" target="_blank">{DESCRIPTION}</a></span>';
    $bbcode_tpl['email']= '<span class="bblink"><a href="mailto:{EMAIL}">{EMAIL}</a></span>';

    $bbcode_tpl['url1'] = str_replace('{URL}', '\\1\\2', $bbcode_tpl['url']);
    $bbcode_tpl['url1'] = str_replace('{DESCRIPTION}', '\\1\\2', $bbcode_tpl['url1']);

    $bbcode_tpl['url2'] = str_replace('{URL}', 'http://\\1', $bbcode_tpl['url']);
    $bbcode_tpl['url2'] = str_replace('{DESCRIPTION}', '\\1', $bbcode_tpl['url2']);

    $bbcode_tpl['url3'] = str_replace('{URL}', '\\1\\2', $bbcode_tpl['url']);
    $bbcode_tpl['url3'] = str_replace('{DESCRIPTION}', '\\3', $bbcode_tpl['url3']);

    $bbcode_tpl['url4'] = str_replace('{URL}', 'http://\\1', $bbcode_tpl['url']);
    $bbcode_tpl['url4'] = str_replace('{DESCRIPTION}', '\\2', $bbcode_tpl['url4']);

    $bbcode_tpl['email'] = str_replace('{EMAIL}', '\\1', $bbcode_tpl['email']);

    // [url]xxxx://www.phpbb.com[/url] code..
    $patterns[1] = "#\[url\]([a-z]+?://){1}([a-z0-9\-\.,\?!%\*_\#:;~\\&$@\/=\+\(\)]+)\[/url\]#si";
    $replacements[1] = $bbcode_tpl['url1'];

    // [url]www.phpbb.com[/url] code.. (no xxxx:// prefix).
    $patterns[2] = "#\[url\]([a-z0-9\-\.,\?!%\*_\#:;~\\&$@\/=\+\(\)]+)\[/url\]#si";
    $replacements[2] = $bbcode_tpl['url2'];

    // [url=xxxx://www.phpbb.com]phpBB[/url] code..
    $patterns[3] = "#\[url=([a-z]+?://){1}([a-z0-9\-\.,\?!%\*_\#:;~\\&$@\/=\+\(\)]+)\](.*?)\[/url\]#si";
    $replacements[3] = $bbcode_tpl['url3'];

    // [url=www.phpbb.com]phpBB[/url] code.. (no xxxx:// prefix).
    $patterns[4] = "#\[url=([a-z0-9\-\.,\?!%\*_\#:;~\\&$@\/=\+\(\)]+)\](.*?)\[/url\]#si";
    $replacements[4] = $bbcode_tpl['url4'];

    // [email]user@domain.tld[/email] code..
    $patterns[5] = "#\[email\]([a-z0-9\-_.]+?@[\w\-]+\.([\w\-\.]+\.)?[\w]+)\[/email\]#si";
    $replacements[5] = $bbcode_tpl['email'];
  }

  $text = preg_replace($patterns, $replacements, $text);

  return $text;
}


switch ($task) {

  case 'special':
    include('components/com_cinema/cinemaspecial.php');
    break;

  case 'detail':
    include('components/com_cinema/cinemadetails.php');
    break;

  case 'votepic':
    include('components/com_cinema/cinemavote.php');
    break;

  case 'commentpic':
  	session_start('cinemascode');
	session_register('code');
    include('components/com_cinema/cinemacomment.php');
    break;

  case 'deletecomment':
    include('components/com_cinema/cinemadeletecomment.php');
    break;

  case 'viewcategory':
    GalleryHeader();
    include('components/com_cinema/cinemaviewcategory.php');
    break;

  default:
    GalleryHeader();
    echo "<table width='100%' border='0' cellspacing='1' cellpadding='4'>";
    echo "<tr><td class='$cin_header' width='100%'>".$CINEMA->CINEMA_CATEGORIES."</td></tr><table>";
    echo "<table width='100%' border='0' cellspacing='1' cellpadding='4'>";
    echo "<tr><td valign='top'>";
    echo "<table width='100%' border='0' cellspacing='1' cellpadding='4' valign='middle'>";
    $query1="SELECT * FROM #__categories WHERE section = 'com_cinema' AND published = '1' AND access <= '$my->gid' ORDER BY name ASC";
    $database->setQuery($query1);
    $rows = $database->loadObjectList();

    $line=1;
    foreach($rows as $row1) {
      $linecolor = ($line % 2) + 1;
      echo "<tr class='$cin_line".$linecolor."'><td width='100%' valign='top'>";
      echo "<a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=viewcategory&amp;catid=$row1->id")."'>";
      echo "<img src='components/com_cinema/images/home.png' align='absmiddle' hspace='6' height='25' width='25' border='0' alt='$row1->title'/></a>";

      $database->setQuery("SELECT count(id) FROM #__cinema WHERE published = '1' AND catid = '".$row1->id."'");
      $count = $database->loadResult();
      echo "<a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=viewcategory&amp;catid=$row1->id")."'>$row1->title</a></span>";
      echo "&nbsp;<span class='small'>($count)</span><br />";
      echo "</tr>";
      $line++;
    }
    echo "</tr></table>";
    if ($cin_inarrivo) {
    echo "<td width='50%' valign='top'>";
    if ($cin_inarrivo1) {
    echo "<div id='fieldset'><fieldset><legend><img src='components/com_cinema/images/inarrivosale.png' border='0' alt='".$CINEMA->CINEMA_MESSAGGIO003."' align='absmiddle' hspace='2'><span class='legend' title='".$CINEMA->CINEMA_MESSAGGIO001."'>".$CINEMA->CINEMA_MESSAGGIO003."</span></legend>";
    echo "<table width='100%' border='0' cellspacing='1' cellpadding='4'>";
    echo "<tr><td>";
    include($mosConfig_absolute_path.'/components/com_cinema/cinemainarrivocinema.php');
    echo "</td></tr></table></fieldset></div>";
    	}
    if ($cin_inarrivo2) {
    echo "<div id='fieldset'><fieldset><legend><img src='components/com_cinema/images/inarrivo.png' border='0' alt='".$CINEMA->CINEMA_MESSAGGIO002."' align='absmiddle' hspace='2'><span class='legend' title='".$CINEMA->CINEMA_MESSAGGIO002."'>".$CINEMA->CINEMA_MESSAGGIO002."</span></legend>";
    echo "<table width='100%' border='0' cellspacing='1' cellpadding='4'>";
    echo "<tr><td>";
    include($mosConfig_absolute_path.'/components/com_cinema/cinemainarrivonoleggio.php');
    echo "</td></tr></table></fieldset></div>";
    	}
    }
    echo "</td></tr></table>";
    break;
}

GalleryFooter();
?>